<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>homework_basic-js1</title>
</head>
<body>
    <h2>Теоретичні питання</h2>
    <ol>
        <li>Як можна оголосити змінну у Javascript?
        </li>
        <li>У чому різниця між функцією prompt та функцією confirm?
        </li>
        <li>Що таке неявне перетворення типів? Наведіть один приклад.
        </li>
    </ol>
    <h2>Відповідь на теоретичні питнання</h2>
    <ol>
        <li>Як можна оголосити змінну у Javascript?</li>
            <ul>
                <li>const</li>
                <li>let</li>
                <li>var</li>
            </ul>
        <li>У чому різниця між функцією prompt та функцією confirm?</li>
            <ul>
                <li>prompt - робить запит данних від user. Може надати:
                    <ul>
                        <li>Defolt - string</li>
                        <li>не явне перетворення - Number, або метеод Number попереду prompt </li>
                        <li>null -  при незаповненні користувачем вікна відповіді</li>
                    </ul>
                </li>
                <li>
                    confirm -  лише інформує користувача, повертає true || false
                </li>
            </ul>
        <li>
            Що таке неявне перетворення типів? Наведіть один приклад.
            <pre>
            let a = prompt('what "a"?');
            let b = prompt('what "b"?')
                           console.log(a*b)
             24
            </pre>
            Ми не використовували ніяких додадкових методів,
            <br>
            але у консоль виведено саме результат математичної дії
        </li>
    </ol>
    <script src="./js/script.js"></script>
</body>
</html>